[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: About this ocaml versioning stuff

On Tue, Jul 15, 2003 at 09:47:50AM +0200, J?r?me Marant wrote:
>   - binary compatibility: binaries distributed must always
>     call #!/usr/bin/ocamlrun . Hence, you can run the same
>     binary everywhere.

Compatibility is lost anyway, the default ocamlrun path is

>   - source compatibility: autoconf scripts are seeking for
>   ocamlc, ocamlopt and so on. At least, symlinks must always
>   been there.

We have ever spoken about symlink, that surely should be present and
provide backward compatibility with the current (3.06) situation.  The
ocaml 3.07 package built by Sven has not yet them, just because it was
an experiment to try if it is possible to add the -<version> suffix.


Stefano Zacchiroli  --  Master in Computer Science @ Uni. Bologna, Italy
zack@{cs.unibo.it,debian.org,bononia.it}  -  http://www.bononia.it/zack/
"  I know you believe you understood what you think I said, but I am not
sure you realize that what you heard is not what I meant!  " -- G.Romney

Attachment: pgpPxhHDxV0Ti.pgp
Description: PGP signature

Reply to: